Missing step in instructions for ubuntuone-kde (alpha1)

Asked by nUboon2Age on 2010-07-06

apachelogger,

I am trying your ubuntuone-kde program ( https://launchpad.net/~apachelogger/+archive/ubuntuone-kde ) and the basic file syncing seems to be working fine. Thanks for your development contribution in bringing Kubuntu to be supported by Ubuntu One.

My question: I read and followed your instructions to Kubuntu-devel ( https://lists.ubuntu.com/archives/kubuntu-devel/2010-June/004436.html ) carefully, but I still have a question. On a new install of Kubuntu your patch was looking for a file that wasn't there. So I believe a step is missing. Please list all packages that need to be installed for your ubuntuone-kde to fully function. In the meantime i found a workaround, but would appreciate it if you would provide a specific list of the packages to install. Thanks!

Question information

Language:
English Edit question
Status:
Solved
For:
ubuntuone-client-kde Edit question
Assignee:
No assignee Edit question
Solved by:
Harald Sitter
Solved:
2010-07-17
Last query:
2010-07-17
Last reply:
2010-07-09
Harald Sitter (apachelogger) said : #1

install ubuntuone-kde -> patch -> run

ubuntuone-kde ought to depend on libuntuone-api0 which depends on ubuntuone-client which depends on python-ubuntuone-client, which contains the file that needs patching.

nUboon2Age (nuboon2age) said : #2

Hi Harald,

mmmm unfortunately that is exactly what I did so there must be some other packages not accounted for or not properly installing with ubuntuone-kde. I started with a new install of Kubuntu, installed ubuntuone-kde and then ran the patch. The errors indicated the 'main.py' file it was trying to patch was not there, and I double-checked and confirmed this.

It sounds like the workaround is to make sure libuntuone-api0 and python-ubuntuone-client are installed.

Thanks!

nUboon2Age (nuboon2age) said : #3

Also make sure ubuntuone-client is there...

Best Harald Sitter (apachelogger) said : #4

I uploaded a fixed daemon which makes the patching obsolete to begin with

nUboon2Age (nuboon2age) said : #5

Sometime in the next few days i will try to verify the fix is working for me. I just realized I forgot to say that I'm using 64bit Kubuntu (Wubi) if that makes a difference. Thank you Harald for your hard work on this project.

nUboon2Age (nuboon2age) said : #6

Thanks Harald Sitter, that solved my question.

nUboon2Age (nuboon2age) said : #7

I did a fresh Kubuntu 64bit (wubi) install and tried the new version and the basic file syncing worked fine with no need to add additional packages. Thanks again Harald and I'm looking forward the official release of Ubuntu One for KDE us being able to close Bug #375145. See http://ubuntuforums.org/showthread.php?t=1522137 for my report on this. I'll update it with this new information.